<?php

namespace App\Modules\HtlCampSchedule\Domain;

class CalendarDay
{

    public function __construct(
        private string $date,
        private $value
    ) {
    }

    public function setValue($value)
    {
        return $this->date = $value;
    }

    public function getValue()
    {
        return $this->value;
    }

    public function toObject()
    {
        return (object)[
            'date' => $this->date,
            'value' => $this->value
        ];
    }
}
